Package org.eclipse.ui

## Interface IFolderLayout

All Superinterfaces:
  `IPlaceholderFolderLayout`

    public interface IFolderLayout
    extends IPlaceholderFolderLayout

An `IFolderLayout` is used to define the initial views within a folder. The folder itself is contained within an `IPageLayout`.

This interface is not intended to be implemented by clients.

See Also:
  `IPageLayout.createFolder(java.lang.String, int, float, java.lang.String)`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addView​(String viewId)` Adds a view with the given compound id to this folder.

### Methods inherited from interface org.eclipse.ui.IPlaceholderFolderLayout

`addPlaceholder, getProperty, setProperty`

### Method Detail

#### addView

    void addView​(String viewId)

Adds a view with the given compound id to this folder. See the `IPageLayout` type documentation for more details about compound ids. The primary id must name a view contributed to the workbench's view extension point (named `"org.eclipse.ui.views"`).

Parameters:
  `viewId` - the view id